Skip to content
v1

API-Referenz

Eine asynchrone, guthabenbasierte REST-API für die PDF-Verarbeitung. OpenAPI aus einer einzigen Quelle.

Authentifizierung

Übergeben Sie Ihren geheimen Schlüssel als Bearer-Token. Schlüssel werden nur einmal angezeigt und nur als SHA-256-Hash gespeichert.

Ihr Schlüssel

Schnellstart

curl -X POST https://pdflet.top/v1/jobs \
  -H "Authorization: Bearer $PDF_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
    "tool": "compress",
    "input": { "type": "url", "url": "https://example.com/report.pdf" },
    "options": { "quality": "ebook" },
    "webhook_url": "https://yourapp.com/hooks/pdf"
  }'

# 202 Accepted
# { "job_id": "job_01J8ZQ...", "status": "pending", "credits_estimated": 2 }

Endpunkte

MethodePfad
POST/v1/jobs
GET/v1/jobs
GET/v1/jobs/{job_id}
POST/v1/jobs/{job_id}/cancel
POST/v1/jobs/{job_id}/retry
GET/v1/jobs/{job_id}/download
POST/v1/files/upload
GET/v1/files/{file_id}
DELETE/v1/files/{file_id}
GET/v1/tools
GET/v1/tools/{tool_id}
GET/v1/account
GET/v1/account/usage
GET/v1/account/limits
GET/v1/account/invoices
GET/POST/v1/webhooks
DELETE/v1/webhooks/{id}
POST/v1/webhooks/{id}/test

Fehlercodes

codeHTTP
file_too_large413
too_many_files400
invalid_pdf422
pdf_encrypted409
password_required409
insufficient_credits402
quota_exceeded429
rate_limited429
idempotency_key_reuse409
unknown_tool400
invalid_job_state409
job_not_found404
job_expired410
processing_failed500